<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Portada;

class PrincipalController extends Controller
{
    public function index()
    {
        return view('admin.index');
    }

    public function portadaVista()
    {
        $portada=Portada::latest('id')->first();
        return view('admin.portada.nuevo',compact('portada'));
    }
    public function portadaGuardar(Request $request)
    {
        if (isset($_COOKIE['log'])) {
            //sacamos el id del usuario
          $usuario=json_decode($_COOKIE['log']);
          $ide=$usuario->idDP;
        }else {
          return response()->json([
              'estado'=>'error',
              'mensaje'=>'Su sesión a caducado por favor inicie de nuevo.'
          ]);
        }
        $texto=$request['texto'];
        $imagen=$request->file('imagen');
        if ($texto!=null &&$imagen!=null) {
            $ruta="/img/portada/";
            $porta=Portada::latest('id')->first();
            if($porta==null){
                $porta=['id'=>0];
            }
            $nombre="portada_".($porta['id']+1).".webp"; 
            $this->guardar($imagen,$ruta,$nombre);
            Portada::create(['imagen'=>$nombre,'texto'=>$texto,'id_usuario'=>$ide]);

            return response()->json([
                'estado'=>'success',
                'mensaje'=>'Guardado con éxito.'
              ]);
        }else{
            return response()->json([
                'estado'=>'error',
                'mensaje'=>'Completa todos los campos.'
              ]);
        }
    }
    public function guardar($imagen,$ruta,$nombre_img){
        $calidad=60;
        $nombre = explode(".",$imagen->getClientOriginalName());
        //dd(getcwd().$ruta.$nombre_img);
        //if (file_exists(getcwd().$ruta.$nombre_img)) {
        //    unlink(getcwd().$ruta, $nombre_img);
        //}
        if ($nombre[count($nombre)-1]=="webp"){
            $imagen->move(getcwd().$ruta.$nombre_img);
        }else{
            //dd($imagen);
            $img=\Image::make($imagen);
            $img->save(getcwd().$ruta.$nombre_img,$calidad);
            //dd(getcwd().$ruta.$nombre_img);

        }
    }
}
